import win32ui,dde,sys,time
#Sample Python Client for ViewPort
#August 2009, v0.5 http://mydancebot.com
#This program demonstrates how to interface with the ViewPort library.
#It loads a spin file to the Propeller and starts the ViewPort connection.
#Then it monitors and changes some Spin code variables

#You must use ViewPort Ultimate v4.2+ and have installed the following:
#install the Python for Windows extension: http://sourceforge.net/projects/pywin32/
#install python from here: http://www.python.org/download/

#open the connection to ViewPort
ddeClient = dde.CreateServer()
ddeClient.Create("")
vp = dde.CreateConversation(ddeClient)
vp.ConnectTo("vp", "system")

#compile, load, and connect to a spin file
vp.Exec("load("+sys.path[0]+"\sample.spin)")
print "Spin file is sharing these:"+vp.Request("list")
#request and poke a variable
print "Variable m's value is:"+vp.Request("m")
vp.Poke("m","1234")
time.sleep(.1)
print "After a poke, its value is:"+vp.Request("m")
raw_input("Press Enter to exit")



