{***************************************************
* (C) 2009 myDanceBot.com, Inc.                    *
* Sample program to illustrate sharing of data     *
* AppletImage=scope.gif                            *
****************************************************
Use this spin program with the sample clients to learn how you can share Propeller
data with Windows applications.  Load this to the Propeller using these clients:
- excel client.xls
- python client.py
- dotNetClient
- if you want to load it with ViewPort, you'll have to copy it into the "tutorials" directory}
CON
 _clkmode     = xtal1 + pll16x
 _xinfreq        = 5_000_000         'use standard 5MHz clock
OBJ                                  'include 2 ViewPort objects:
 vp    : "Conduit"                   'transfers data to/from PC
 qs    : "QuickSample"               'samples INA continuously in 1 cog- up to 20Msps
pub demo |i,j,n,m,frame[400],array1[10],array2[10]
 vp.register(qs.sampleINA(@frame,1)) 'share the sampled IO array
 vp.array(@array1,10,5)              'share an array of 10 longs, type=5
 vp.array(@array2,10,6)              'share an array of 10 longs, type=6
 vp.config(string("var:io,array1,array2,n,m")) 'name the channels
 m:=100                              'initialize m
 vp.share(@n,@m)                     'share variables n and m
 repeat                              'count n from 0..m
  repeat n from 0 to m
    vp.waitpacket                    'wait until current packet done
    j:=cnt
    repeat i from 0 to 10            'store the cnt into the arrays
      array1[i]:=j                   'all array items should match on the pc
      array2[i]:=j                                                        